Subject: bug#68450: 30.0.50; Eldoc fails to display argument tooltip for arguments inside (...) in `define-advice'

From: João Távora <[email-masked]>
Date: Sat, 20 Jan 2024 10:27:02 +0000

On Sat, Jan 20, 2024 at 9:37 AM Eli Zaretskii <[email-masked]> wrote:

> > Expected:
> > "define-advice: (SYMBOL (*HOW* LAMBDA-LIST &optional NAME DEPTH) &rest BODY)
> > still appears in the echo area.
>
> Thierry and João, could you please look into this?

I'm reasonably sure the source of this bug isn't in ElDoc per se,
but in elisp-mode.el's use of eldoc.el facilities, which are sometimes
very verbose due to longstanding issues.  But I will have a look.
I'd also like elisp-mode to start highlighting nested macro arguments
and keyword arguments, for example.

João